> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post a comment on a pool

> Post a new comment. Requires ray-token header.



## OpenAPI

````yaml /api-reference/openapi/launch-forum-v1.yaml post /comment
openapi: 3.0.3
info:
  title: Raydium Launch Forum API
  description: >-
    Discussion API for LaunchLab pools. Post and retrieve comments on mint
    tokens. Requires `ray-token` header (JWT from Auth API) for write
    operations.
  version: 1.0.0
servers:
  - url: https://launch-forum-v1.raydium.io
    description: Mainnet
  - url: https://launch-forum-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Comments
    description: Post and retrieve pool comments
  - name: Utilities
    description: Health checks
paths:
  /comment:
    post:
      tags:
        - Comments
      summary: Post a comment on a pool
      description: Post a new comment. Requires ray-token header.
      operationId: postComment
      parameters:
        - name: ray-token
          in: header
          required: true
          schema:
            type: string
          description: JWT token from Auth API
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - poolId
                - text
                - wallet
              properties:
                poolId:
                  type: string
                  description: Pool/Mint ID
                wallet:
                  type: string
                  description: Commenter wallet
                text:
                  type: string
                  description: Comment text (max 2000 chars)
                file:
                  type: string
                  format: binary
                  description: Optional image (max 5MB)
      responses:
        '200':
          description: Comment posted successfully
        '400':
          description: Invalid request or content violation

````